Skip to content
Snippets Groups Projects
Commit 9772cb85 authored by Jeong Han Lee's avatar Jeong Han Lee
Browse files

cherry pick PSI changes, and update to match E3+

parent 61d0b886
No related branches found
No related tags found
No related merge requests found
# -*- mode: Makefile;-*- # -*- mode: Makefile;-*-
# CentOS7.4 and Debian 8, it works
IOCSH_HASH_VERSION:=$(shell git rev-parse --short HEAD)
# If git rev-parse returns null, use the EPICS_MODULE_TAG
IOCSH_HASH_VERSION?=$(EPICS_MODULE_TAG)
.PHONY: requireconf .PHONY: requireconf
requireconf: requireconf:
$(QUIET) $(SUDO) install -d -m 755 $(E3_REQUIRE_TOOLS) $(QUIET) $(SUDO) install -d -m 755 $(E3_REQUIRE_TOOLS)
$(QUIET) $(SUDO) install -d -m 755 $(E3_REQUIRE_BIN) $(QUIET) $(SUDO) install -d -m 755 $(E3_REQUIRE_BIN)
$(QUIET) $(SUDO) install -m 644 $(E3_MODULE_SRC_PATH)/App/tools/driver.makefile $(E3_REQUIRE_TOOLS)/ $(QUIET) $(SUDO) install -m 644 $(E3_MODULE_SRC_PATH)/App/tools/driver.makefile $(E3_REQUIRE_TOOLS)/
$(QUIET) $(SUDO) install -m 755 $(E3_MODULE_SRC_PATH)/App/tools/*.tcl $(E3_REQUIRE_TOOLS)/ $(QUIET) $(SUDO) install -m 755 $(E3_MODULE_SRC_PATH)/App/tools/*.tcl $(E3_REQUIRE_TOOLS)/
$(QUIET) sed -i 's/^IOCSH_HASH_VERSION=.*/IOCSH_HASH_VERSION=$(IOCSH_HASH_VERSION)/g' $(TOP)/tools/ess-env.conf
$(QUIET) $(SUDO) install -m 755 $(TOP)/tools/iocsh.bash $(E3_REQUIRE_BIN)/ $(QUIET) $(SUDO) install -m 755 $(TOP)/tools/iocsh.bash $(E3_REQUIRE_BIN)/
$(QUIET) $(SUDO) install -m 644 $(TOP)/tools/ess-env.conf $(E3_REQUIRE_BIN)/ $(QUIET) $(SUDO) install -m 644 $(TOP)/tools/ess-env.conf $(E3_REQUIRE_BIN)/
$(QUIET) $(SUDO) install -m 644 $(TOP)/tools/iocsh_functions $(E3_REQUIRE_BIN)/ $(QUIET) $(SUDO) install -m 644 $(TOP)/tools/iocsh_functions $(E3_REQUIRE_BIN)/
$(QUIET) $(SUDO) install -m 644 $(TOP)/tools/setE3Env.bash $(E3_REQUIRE_BIN)/ $(QUIET) $(SUDO) install -m 644 $(TOP)/tools/setE3Env.bash $(E3_REQUIRE_BIN)/
# $(QUIET) sed -i 's/^IOCSH_HASH_VERSION=.*/IOCSH_HASH_VERSION=$(IOCSH_HASH_VERSION)/g' $(TOP)/ess-env.conf
IOCSH_HASH_VERSION= IOCSH_HASH_VERSION=61d0b88
...@@ -27,8 +27,11 @@ ...@@ -27,8 +27,11 @@
declare -gr SC_SCRIPT="$(realpath "$0")" declare -gr SC_SCRIPT="$(realpath "$0")"
declare -gr SC_SCRIPTNAME=${0##*/} declare -gr SC_SCRIPTNAME=${0##*/}
declare -gr SC_TOP="$(dirname "$SC_SCRIPT")" declare -gr SC_TOP="$(dirname "$SC_SCRIPT")"
declare -g SC_VERSION="v0.2" declare -g SC_VERSION="v0.3"
declare -g STARTUP="" declare -g STARTUP=""
declare -g BASECODE=""
set -a set -a
. ${SC_TOP}/ess-env.conf . ${SC_TOP}/ess-env.conf
...@@ -37,6 +40,8 @@ set +a ...@@ -37,6 +40,8 @@ set +a
. ${SC_TOP}/iocsh_functions . ${SC_TOP}/iocsh_functions
BASECODE="$(basecode_generator)"
check_mandatory_env_settings check_mandatory_env_settings
# #
...@@ -65,9 +70,6 @@ trap "softIoc_end ${IOC_STARTUP}" EXIT HUP INT TERM ...@@ -65,9 +70,6 @@ trap "softIoc_end ${IOC_STARTUP}" EXIT HUP INT TERM
loadFiles "$@"; loadFiles "$@";
printf "epicsEnvSet IOCSH_PS1 \"$IOCSH_PS1\"\n"; printf "epicsEnvSet IOCSH_PS1 \"$IOCSH_PS1\"\n";
# printf "epicsEnvShow T_A\n";
# printf "epicsEnvShow EPICS_HOST_ARCH\n";
printf "var requireDebug 1\n";
if [ "$init" != NO ]; then if [ "$init" != NO ]; then
printf "iocInit\n" printf "iocInit\n"
......
...@@ -5,6 +5,9 @@ E_NOTROOT=101 ...@@ -5,6 +5,9 @@ E_NOTROOT=101
EXIST=1 EXIST=1
NON_EXIST=0 NON_EXIST=0
function pushd { builtin pushd "$@" > /dev/null; } function pushd { builtin pushd "$@" > /dev/null; }
function popd { builtin popd "$@" > /dev/null; } function popd { builtin popd "$@" > /dev/null; }
...@@ -63,36 +66,67 @@ function checkIfVar ...@@ -63,36 +66,67 @@ function checkIfVar
}; };
function subst
function read_file_get_string
{ {
subst="" local FILENAME=$1
while [ "$#" -gt 1 ] local PREFIX=$2
do
case $2 in
*=* )
subst="$subst,$2"; shift
;;
* )
break
;;
esac
done
echo ${subst#,}
};
local val=""
while read line; do
if [[ $line =~ "${PREFIX}" ]] ; then
val=${line#$PREFIX}
fi
done < ${FILENAME}
function select_epics_base echo "$val"
}
function basecode_generator
{ {
local base_version=$1;
local epics_base="";
epics_base=${EPICS}/base-${base_version#-}; local epics_ver_maj="$(read_file_get_string "${EPICS_BASE}/configure/CONFIG_BASE_VERSION" "EPICS_VERSION = ")";
echo ${epics_base}; local epics_ver_mid="$(read_file_get_string "${EPICS_BASE}/configure/CONFIG_BASE_VERSION" "EPICS_REVISION = ")";
}; local epics_ver_min="$(read_file_get_string "${EPICS_BASE}/configure/CONFIG_BASE_VERSION" "EPICS_MODIFICATION = ")";
local epics_ver_patch="$(read_file_get_string "${EPICS_BASE}/configure/CONFIG_BASE_VERSION" "EPICS_PATCH_LEVEL = ")";
local base_code="";
if [[ ${#epics_ver_maj} -lt 2 ]] ; then
epics_ver_maj="00${epics_ver_maj}"
epics_ver_maj="${epics_ver_maj: -2}"
fi
if [[ ${#epics_ver_mid} -lt 2 ]] ; then
epics_ver_mid="00${epics_ver_mid}"
epics_ver_mid="${epics_ver_mid: -2}"
fi
if [[ ${#epics_ver_min} -lt 2 ]] ; then
epics_ver_min="00${epics_ver_min}"
epics_ver_min="${epics_ver_min: -2}"
fi
if [[ ${#epics_ver_patch} -lt 2 ]] ; then
epics_ver_patch="00${epics_ver_patch}"
epics_ver_patch="${epics_ver_patch: -2}"
fi
base_code=${epics_ver_maj}${epics_ver_mid}${epics_ver_min}${epics_ver_patch}
echo "$base_code";
}
function version function version
{ {
printf "%s : %s%s\n" "European Spallation Source ERIC" "$SC_SCRIPTNAME" ${SC_VERSION:+" ($SC_VERSION)"} >&2 printf "%s : %s%s\n" "European Spallation Source ERIC" "$SC_SCRIPTNAME" ${SC_VERSION:+" ($SC_VERSION)"} >&2
exit exit
}; };
...@@ -122,14 +156,22 @@ function printIocEnv ...@@ -122,14 +156,22 @@ function printIocEnv
var_list+=(LOGNAME); var_list+=(LOGNAME);
var_list+=(EPICS_HOST_ARCH); var_list+=(EPICS_HOST_ARCH);
var_list+=(EPICS_BASE); var_list+=(EPICS_BASE);
# var_list+=(EPICS_LOCATION); # REQUIRE
# var_list+=(EPICS);
# var_list+=(ESS_EPICS_PATH); var_list+=(E3_REQUIRE_NAME);
var_list+=(E3_REQUIRE);
var_list+=(E3_REQUIRE_VERSION); var_list+=(E3_REQUIRE_VERSION);
var_list+=(E3_REQUIRE_LOCATION);
var_list+=(E3_REQUIRE_BIN); var_list+=(E3_REQUIRE_BIN);
var_list+=(E3_REQUIRE_LIB); var_list+=(E3_REQUIRE_DB);
var_list+=(E3_REQUIRE_DBD); var_list+=(E3_REQUIRE_DBD);
var_list+=(E3_REQUIRE_INC);
var_list+=(E3_REQUIRE_LIB);
# E3 SITE PATH
var_list+=(E3_SITEAPPS_PATH);
var_list+=(E3_SITELIBS_PATH);
var_list+=(E3_SITEMODS_PATH);
# EPICS and others
var_list+=(EPICS_DRIVER_PATH); var_list+=(EPICS_DRIVER_PATH);
var_list+=(EPICS_CA_AUTO_ADDR_LIST); var_list+=(EPICS_CA_AUTO_ADDR_LIST);
var_list+=(EPICS_CA_ADDR_LIST); var_list+=(EPICS_CA_ADDR_LIST);
...@@ -141,17 +183,16 @@ function printIocEnv ...@@ -141,17 +183,16 @@ function printIocEnv
printf "#\n"; printf "#\n";
printf "# Version information:\n"; printf "# Version information:\n";
printf "# %s : %s%s\n" "European Spallation Source ERIC" "$SC_SCRIPTNAME" ${SC_VERSION:+" ($SC_VERSION)"}; printf "# %s : %s%s\n" "European Spallation Source ERIC" "$SC_SCRIPTNAME" ${SC_VERSION:+" ($SC_VERSION)"};
printf "## can you see this?\n";
printf "#\n"; printf "#\n";
printf "# --->--> snip -->--> \n";
printf "# Please Use Version and other environment variables\n";
printf "# in order to report or debug this shell\n";
printf "#\n";
for var in ${var_list[@]}; do for var in ${var_list[@]}; do
printf "# $var=\"${!var}\"\n" printf "# $var=\"${!var}\"\n"
done done
printf "# --->--> snip -->--> \n";
printf "#\n";
printf "# Please Use Version and other environment variables\n";
printf "# in order to report or debug this shell\n";
printf "#\n"; printf "#\n";
}; };
...@@ -205,18 +246,24 @@ function loadRequire ...@@ -205,18 +246,24 @@ function loadRequire
{ {
local libPrefix=lib local libPrefix=lib
local libPostfix=.so local libPostfix=.so
local libName=${libPrefix}${E3_REQUIRE}${libPostfix} local libName=${libPrefix}${E3_REQUIRE_NAME}${libPostfix}
local require_lib=${E3_REQUIRE_LIB}/${EPICS_HOST_ARCH}/${libName} local require_lib=${E3_REQUIRE_LIB}/${EPICS_HOST_ARCH}/${libName}
local require_dbd=${E3_REQUIRE_DBD}/${E3_REQUIRE}.dbd local require_dbd=${E3_REQUIRE_DBD}/${E3_REQUIRE_NAME}.dbd
local load_cmd="dlload" local load_cmd="dlload"
if [[ ${BASECODE} -ge 03141207 ]]; then
printf "# Loading the mandatory require module ... \n" load_cmd="dlload"
else
# Not sure it works or not.
load_cmd="ld"
fi
printf "# Loading the ${E3_REQUIRE_NAME} module ... \n"
printf "# \n"; printf "# \n";
printf "${load_cmd} ${require_lib}\n"; printf "${load_cmd} ${require_lib}\n";
printf "dbLoadDatabase ${require_dbd}\n" printf "dbLoadDatabase ${require_dbd}\n"
printf "${E3_REQUIRE%-*}_registerRecordDeviceDriver\n\n" printf "${E3_REQUIRE_NAME%-*}_registerRecordDeviceDriver\n\n"
printf "# \n"; printf "# \n";
printf "# \n"; printf "# \n";
...@@ -228,18 +275,16 @@ function check_mandatory_env_settings ...@@ -228,18 +275,16 @@ function check_mandatory_env_settings
{ {
declare -a var_list=(); declare -a var_list=();
var_list+=(EPICS_HOST_ARCH); var_list+=(EPICS_HOST_ARCH);
# var_list+=(ESS_EPICS_PATH);
# var_list+=(EPICS);
# var_list+=(EPICS_MODULES);
var_list+=(EPICS_BASE); var_list+=(EPICS_BASE);
var_list+=(E3_REQUIRE); var_list+=(E3_REQUIRE_NAME);
var_list+=(E3_REQUIRE_BIN); var_list+=(E3_REQUIRE_BIN);
var_list+=(E3_REQUIRE_LIB); var_list+=(E3_REQUIRE_LIB);
var_list+=(E3_REQUIRE_DB);
var_list+=(E3_REQUIRE_DBD); var_list+=(E3_REQUIRE_DBD);
var_list+=(E3_REQUIRE_VERSION); var_list+=(E3_REQUIRE_VERSION);
for var in ${var_list[@]}; do for var in ${var_list[@]}; do
if [[ $(checkIfVar ${!var}) -eq "$NON_EXIST" ]]; then if [[ $(checkIfVar ${!var}) -eq "$NON_EXIST" ]]; then
die 1 " $var is not defined!. Please source e3-env/setE3Env.bash." die 1 " $var is not defined!. Please source ${E3_REQUIRE_BIN}/setE3Env.bash "
fi fi
done done
}; };
...@@ -249,87 +294,102 @@ function check_mandatory_env_settings ...@@ -249,87 +294,102 @@ function check_mandatory_env_settings
function loadFiles function loadFiles
{ {
while [ "$#" -gt 0 ]; do while [ "$#" -gt 0 ]; do
file=$1 file=$1
case $file in case $file in
-h | "-?" | -help | --help ) ( -h | "-?" | -help | --help )
help help
;; ;;
-v | -ver | --ver | -version | --version ) ( -v | -ver | --ver | -version | --version )
version version
;; ;;
@* ) ( @* )
loadFiles $(cat ${file#@}) loadFiles $(cat ${file#@})
;; ;;
*.db | *.template) ( *=* )
subst="" echo -n $file | awk -F '=' '{printf "epicsEnvSet %s '\''%s'\''\n", $1, $2}'
while [ "$#" -gt 1 ]; do ;;
case $2 in ( -c )
*=* ) shift
subst="$subst,$2"; shift case $1 in
;; ( seq* )
* )
break
;;
esac
done
echo "dbLoadRecords \"$file\",\"${subst#,}\""
;;
*.subs | *.subst )
echo "dbLoadTemplate \"$file\""
;;
*.dbd )
# some dbd files must be loaded before main to take effect
echo "dbLoadDatabase \"$file\",\"$DBD\""
;;
*.so )
if [ $BASEMINOR -ge 15 -o $BASEPATCH -ge 12 ]; then
echo "dlload \"$file\""
else
echo "ld \"$file\""
fi
;;
-c )
shift
case $1 in
seq* )
if [ "$init" != NO ]; then
echo "iocInit"
init=NO
fi
;;
iocInit )
init=NO
;;
esac
echo $1
;;
-s )
shift
if [ "$init" != NO ]; then if [ "$init" != NO ]; then
echo "iocInit" echo "iocInit"
init=NO init=NO
fi fi
echo "seq $1"
;;
-r )
shift
echo "require $1"
;;
-n )
shift
IOC="$1"
;; ;;
-* ) ( iocInit )
{ init=NO
echo "unknown option $1"
echo "try: $(basename $0) --help"
} >&2
exit 1
;;
* )
echo "< \"$file\""
if grep -q iocInit $file; then init=NO; fi
;; ;;
esac
echo $1
;;
( -s )
shift
if [ "$init" != NO ]; then
echo "iocInit"
init=NO
fi
echo "seq $1"
;;
( -r )
shift
echo "require $1"
;;
( -* )
printf "Unknown option $1\n\n" >&2
help
exit 1
;;
( *.so )
## dlload introduced from EPICS Base Release 3.14.12.7
if [[ ${BASECODE} -ge 03141207 ]]; then
echo "dlload \"$file\""
else
echo "ld \"$file\""
fi
;;
( * )
subst=""
while [ "$#" -gt 1 ]; do
case $2 in
( *=* )
subst="$subst,$2"; shift
;;
( * )
break
;;
esac
done
subst=${subst#,}
case $file in
( *.db | *.template)
echo "dbLoadRecords '$file','$subst'"
;;
( *.subs | *.subst )
echo "dbLoadTemplate '$file','$subst'"
;;
( *.dbd )
# some dbd files must be loaded before main to take effect
echo "dbLoadDatabase '$file','$DBD','$subst'"
;;
( * )
# iocshLoad introduced from 3.15.0.2
if [[ ${BASECODE} -ge 03150002 ]]; then
echo "iocshLoad '$file','$subst'"
else
echo -n $subst | awk -F '=' -v 'RS=,' '{printf "epicsEnvSet %s '\''%s'\''\n", $1, $2}'
echo "< '$file'"
fi
if grep -q iocInit $file; then
init=NO;
fi
;;
esac
;;
esac esac
shift shift
done done
...@@ -339,8 +399,33 @@ function loadFiles ...@@ -339,8 +399,33 @@ function loadFiles
function help function help
{ {
{ {
printf "USAGE: iocsh.bash [startup files]" printf "USAGE: iocsh.bash [startup files]\n"
printf "Start an ESS EPICS iocsh.bash and load startup scripts" printf "Start an ESS EPICS iocsh.bash and load startup scripts\n"
printf
printf "Options:"
printf " -?, -h, --help Show this page and exit.\n"
printf " -v, --version Show version and exit\n."
printf " -c 'cmd args' Ioc shell command.\n"
printf " -s 'prog m=v' Sequencer program (and arguments), run with 'seq'.\n"
printf " This forces an 'iocInit' before running the program.\n"
printf " -r module[,ver] Modue (optionally with version) loaded via 'require'.\n"
printf " @file More arguments are read from file.\n"
printf "\n"
printf "Supported filetypes:\n"
printf " *.db, *.dbt, *.template loaded via 'dbLoadRecords'\n"
printf " *.subs, *.subst loaded via 'dbLoadTemplate'\n"
printf " *.dbd loaded via 'dbLoadDatabase'\n"
printf " *.so loaded via 'dlload' (or 'ld' before 3.14.12.07)\n"
printf "\n"
printf "All other files are executed as startup scripts by the EPICS shell.\n"
printf "After a file you can specify substitutions like m1=v1 m2=v1 for that file.\n"
printf "\n"
printf "Examples:\n"
printf " iocsh.bash st.cmd\n"
printf " iocsh.bash my_database.template P=XY M=3\n"
printf " iocsh.bash -r my_module,version -c 'initModule()'\n"
printf " iocsh.bash -c 'var requireDebug 1' st.cmd\n"
} >&2 } >&2
exit exit
} }
# Copyright (c) 2016 - Present Jeong Han Lee # Copyright (c) 2017 - Present Jeong Han Lee
# Copyright (c) 2016 European Spallation Source ERIC # Copyright (c) 2017 - Present European Spallation Source ERIC
# #
# The program is free software: you can redistribute # The program is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License # it and/or modify it under the terms of the GNU General Public License
...@@ -17,31 +17,9 @@ ...@@ -17,31 +17,9 @@
# Shell : setE3Env.bash # Shell : setE3Env.bash
# Author : Jeong Han Lee # Author : Jeong Han Lee
# email : jeonghan.lee@gmail.com # email : jeonghan.lee@gmail.com
# date : Monday, December 4 13:25:21 CET 2017 # date : Thursday, April 12 18:10:14 CEST 2018
# #
# version : 0.0.2 # version : 0.1.0
# unset ESS_ETHERLAB_LIB
# unset ESS_ETHERLAB_BIN
# unset ESS_ETHERLAB_SBIN
# unset ESS_LIBS
# unset ESS_OPCUA
# unset ESS_OPCUA_LIB
# unset ESS_OPCUA_BIN
# unset ESS_OPCUA_INC
# unset E3_REQUIRE
# unset E3_REQUIRE_VERSION
# unset E3_REQUIRE_LOCATION
# unset E3_REQUIRE_BIN
# unset E3_REQUIRE_LIB
# unset E3_REQUIRE_DBD
...@@ -58,31 +36,28 @@ fi ...@@ -58,31 +36,28 @@ fi
unset EPICS_BASE unset EPICS_BASE
unset EPICS_HOST_ARCH unset EPICS_HOST_ARCH
unset E3_REQUIRE unset E3_REQUIRE_NAME
unset E3_REQUIRE_VERSION unset E3_REQUIRE_VERSION
unset E3_REQUIRE_LOCATION unset E3_REQUIRE_LOCATION
unset E3_REQUIRE_BIN unset E3_REQUIRE_BIN
unset E3_REQUIRE_LIB unset E3_REQUIRE_LIB
unset E3_REQUIRE_DBD unset E3_REQUIRE_INC
unset E3_REQUIRE_DB
unset E3_SITE_MODS unset E3_SITEMODS_PATH
unset E3_SITE_LIBS unset E3_SITELIBS_PATH
unset E3_SITE_APPS unset E3_SITEAPPS_PATH
unset E3_SITE_STHS
unset EPICS_DRIVER_PATH
unset EPICS_DRIVER_PATH
unset PATH unset PATH
unset LD_LIBRARY_PATH unset LD_LIBRARY_PATH
#ESS_LIBS=/opt/ess #ESS_LIBS=/opt/ess
#ESS_ETHERLAB=/opt/etherlab #ESS_ETHERLAB=/opt/etherlab
#ESS_OPCUA=${ESS_LIBS}/opcUa #ESS_OPCUA=${ESS_LIBS}/opcUa
...@@ -102,48 +77,49 @@ unset LD_LIBRARY_PATH ...@@ -102,48 +77,49 @@ unset LD_LIBRARY_PATH
# #
# EPICS_DRIVER_PATH # EPICS_DRIVER_PATH
EPICS_BASE=/testing/epics/base-3.15.5 EPICS_BASE=/testing/epics/base-3.15.5
EPICS_HOST_ARCH=$("${EPICS_BASE}/startup/EpicsHostArch.pl") EPICS_HOST_ARCH=$("${EPICS_BASE}/startup/EpicsHostArch.pl")
# Select REQUIRE Environment Variables # Select REQUIRE Environment Variables
E3_REQUIRE=require E3_REQUIRE_NAME=require
E3_REQUIRE_VERSION=${require_ver} E3_REQUIRE_VERSION=${require_ver}
E3_REQUIRE_LOCATION=${EPICS_BASE}/${E3_REQUIRE}/${E3_REQUIRE_VERSION} E3_REQUIRE_LOCATION=${EPICS_BASE}/${E3_REQUIRE_NAME}/${E3_REQUIRE_VERSION}
E3_REQUIRE_BIN=${E3_REQUIRE_LOCATION}/bin E3_REQUIRE_BIN=${E3_REQUIRE_LOCATION}/bin
E3_REQUIRE_LIB=${E3_REQUIRE_LOCATION}/lib E3_REQUIRE_LIB=${E3_REQUIRE_LOCATION}/lib
E3_REQUIRE_INC=${E3_REQUIRE_LOCATION}/include
E3_REQUIRE_DB=${E3_REQUIRE_LOCATION}/db
E3_REQUIRE_DBD=${E3_REQUIRE_LOCATION}/dbd E3_REQUIRE_DBD=${E3_REQUIRE_LOCATION}/dbd
E3_REQUIRE_TOOLS=${E3_REQUIRE_LOCATION}/tools
E3_SITEMODS_PATH=${E3_REQUIRE_LOCATION}/siteMods
E3_SITELIBS_PATH=${E3_REQUIRE_LOCATION}/siteLibs
E3_SITEAPPS_PATH=${E3_REQUIRE_LOCATION}/siteApps
E3_SITE_MODS=${E3_REQUIRE_LOCATION}/siteMods
E3_SITE_LIBS=${E3_REQUIRE_LOCATION}/siteLibs
E3_SITE_APPS=${E3_REQUIRE_LOCATION}/siteApps
E3_SITE_STHS=${E3_REQUIRE_LOCATION}/siteSths
#EPICS_DRIVER_PATH=${E3_SITE_MODS}:${E3_SITE_LIBS} EPICS_DRIVER_PATH=${E3_SITEMODS_PATH}
#EPICS_DRIVER_PATH=${E3_SITE_LIBS}
EPICS_DRIVER_PATH=${E3_SITE_MODS}
export EPICS_BASE export EPICS_BASE
export EPICS_HOST_ARCH export EPICS_HOST_ARCH
export E3_REQUIRE export E3_REQUIRE_NAME
export E3_REQUIRE_VERSION export E3_REQUIRE_VERSION
export E3_REQUIRE_LOCATION export E3_REQUIRE_LOCATION
export E3_REQUIRE_BIN export E3_REQUIRE_BIN
export E3_REQUIRE_LIB export E3_REQUIRE_LIB
export E3_REQUIRE_INC
export E3_REQUIRE_DB
export E3_REQUIRE_DBD export E3_REQUIRE_DBD
export E3_SITE_MODS export E3_SITEMODS_PATH
export E3_SITE_LIBS export E3_SITELIBS_PATH
export E3_SITE_APPS export E3_SITEAPPS_PATH
export E3_SITE_STHS
export EPICS_DRIVER_PATH
export EPICS_DRIVER_PATH
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment